Bug 237026 - RHEL4 Feature Request: add pcifront to Xen paravirt
Summary: RHEL4 Feature Request: add pcifront to Xen paravirt
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.5
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Chris Lalancette
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-18 22:06 UTC by Chris Lalancette
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 14:31:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preliminary RHEL-4 PV pcifront patch (57.22 KB, patch)
2007-04-18 22:13 UTC, Chris Lalancette
no flags Details | Diff
Preliminary .config file for RHEL-4 pcifront support (24.68 KB, text/plain)
2007-04-18 22:15 UTC, Chris Lalancette
no flags Details

Description Chris Lalancette 2007-04-18 22:06:49 UTC
Description of problem:
I figured this will probably be a good thing to have, so I'll open up the BZ
myself.  It would be very nice to have pci passthrough support available for
RHEL4 PV.  The implementation shouldn't be all that complex; we have most of the
infrastructure already, it's just a matter of getting the code from RHEL-5 and
hacking it up to work with RHEL-4, and then doing the associated testing. 
Hopefully we can get this into 4.6.

Comment 1 Chris Lalancette 2007-04-18 22:13:26 UTC
Created attachment 152962 [details]
Preliminary RHEL-4 PV pcifront patch

This is a very preliminary patch against 2.6.9-54 that adds pcifront support to
PV.  It has only been compile and boot tested on i686; I'll need to do the same
for x86_64, and then, of course, test :).

Chris Lalancette

Comment 2 Chris Lalancette 2007-04-18 22:15:35 UTC
Created attachment 152963 [details]
Preliminary .config file for RHEL-4 pcifront support

This is a .config file for 2.6.9-54 that adds the minimal config options needed
to enable pcifront support for PV.  Note that none of the usual drivers are
enabled; to really make this useful, we will probably have to enable most of
the normal PCI drivers that a RHEL-4 kernel has.

Chris Lalancette

Comment 3 Chris Lalancette 2007-10-29 14:31:39 UTC
Closing this out until somebody asks for this feature in RHEL-4.

Chris Lalancette


Note You need to log in before you can comment on or make changes to this bug.